Qt 5.6 | Qt 3D | C++ Classes | QLighting

Qt 5.6.3 Reference Documentation

# QLighting Class

(Qt3DRender::QLighting)

Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Public Functions

| QLighting(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QLighting()

- 2 public functions inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QLighting(QLightingPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 property inherited from Qt3DRender::QFrameGraphNode
- 2 properties inherited from Qt3DCore::QNode
- 1 public slot inherited from Qt3DRender::QFrameGraphNode
- 2 public slots inherited from Qt3DCore::QNode
- 1 signal inherited from Qt3DRender::QFrameGraphNode
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Member Function Documentation

### QLighting::QLighting(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QLighting.

### `[protected]` QLighting::QLighting(QLightingPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QLighting::~QLighting()

Destroys the instance of QLighting.

### `[protected]` void QLighting::copy(const Qt3DCore::QNode *ref)